Bug 438247 - libdlm unlock_wait calls are broken
libdlm unlock_wait calls are broken
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: David Teigland
GFS Bugs
Depends On:
  Show dependency treegraph
Reported: 2008-03-19 17:00 EDT by David Teigland
Modified: 2009-04-16 19:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:53:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Teigland 2008-03-19 17:00:32 EDT
Description of problem:

The LKF_WAIT flag is being passed into the kernel, which it shouldn't
be.  The unlock code in the kernel returns an error when it sees the
invalid flag.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 David Teigland 2008-03-25 12:21:47 EDT
commit in RHEL5 branch 55dca012f902c090df399b2dc91cfa86d13f2e90
Comment 5 errata-xmlrpc 2009-01-20 16:53:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.